package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcPathScheduling;
import org.dromara.system.domain.vo.TblDzbcPathSchedulingVo;
import org.dromara.system.domain.bo.TblDzbcPathSchedulingBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 定制班车-路线排班Service接口
 *
 * @author Lion Li
 * @date 2025-02-12
 */
public interface ITblDzbcPathSchedulingService {

    /**
     * 查询定制班车-路线排班
     */
    TblDzbcPathSchedulingVo queryById(Long id);

    /**
     * 查询定制班车-路线排班列表
     */
    TableDataInfo<TblDzbcPathSchedulingVo> queryPageList(TblDzbcPathSchedulingBo bo, PageQuery pageQuery);

    /**
     * 查询定制班车-路线排班列表
     */
    List<TblDzbcPathSchedulingVo> queryList(TblDzbcPathSchedulingBo bo);

    /**
     * 新增定制班车-路线排班
     */
    Boolean insertByBo(TblDzbcPathSchedulingBo bo);

    /**
     * 修改定制班车-路线排班
     */
    Boolean updateByBo(TblDzbcPathSchedulingBo bo);

    void SysCache();

    /**
     * 校验并批量删除定制班车-路线排班信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
